AgentSortField (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.AgentSortField class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class AgentSortField

    java.lang.Object
      org.hyperic.util.HypericEnum
          org.hyperic.hq.appdef.server.session.AgentSortField

All Implemented Interfaces:
  java.io.Serializable, SortField, JSON

    public abstract class AgentSortField

extends HypericEnum
implements SortField

See Also:
  Serialized Form

Field Summary
`static AgentSortField` | `ADDR`
`static AgentSortField` | `CTIME`
`static AgentSortField` | `PORT`
`static AgentSortField` | `VERSION`

Method Summary
`static AgentSortField` | `findByCode(int code)`
`static AgentSortField` | `findByDescription(java.lang.String desc)`
`abstract java.lang.String` | `getSortString(java.lang.String agent)`

Methods inherited from class org.hyperic.util.HypericEnum
`findByCode, findByDescription, getAll, getByCode, getCode, getDescription, getJsonName, getValue, toJSON, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hyperic.hibernate.SortField
`getDescription, getValue, isSortable`

Field Detail

### ADDR

    public static final AgentSortField ADDR

### PORT

    public static final AgentSortField PORT

### VERSION

    public static final AgentSortField VERSION

### CTIME

    public static final AgentSortField CTIME

Method Detail

### getSortString

    public abstract java.lang.String getSortString(java.lang.String agent)

### findByCode

    public static AgentSortField findByCode(int code)

### findByDescription

    public static AgentSortField findByDescription(java.lang.String desc)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.